
/**
 * <pre>
 *
 * 描述：业务--知识审批节点表实体类定义
 * 表:KM_KNOWLEDGE_APPROVAL_NODE
 * 作者：zhang_zhe
 * 日期:2022-11-23 09:47:26
 * </pre>
 */
package com.redxun.knowledge.entity.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Set;


@Data
public class KnowledgeApprovalNodeFlowerDto {

    private String pkId;

    @NotBlank(message = "流程名称不能为空")
    private String flowerName;

    private Set<String> categoryId;

    private List<KnowledgeApprovalNodeDto> knowledgeApprovalNode;
}



