package com.redxun.knowledge.album.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 文件名: RemoveKnowledgeAndYelpDto
 * 作者: Zizg
 * 时间: 2023/2/17
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("移除目录知识和删除点评和回复")
@Data
public class RemoveKnowledgeAndYelpDto implements Serializable {

    @ApiModelProperty("专辑Id")
    private String pkId;

    @ApiModelProperty("版本Id")
    private String versionId;

    @ApiModelProperty("目录Id和知识集合")
    private Map<String, List<String>> catalogueIdAndKnowledgeList;

    @ApiModelProperty("点评Id")
    private List<String> yelps;
}
