package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.redxun.knowledge.entity.dao.KnowledgeApprovalNodeFlower;
import com.redxun.knowledge.entity.vo.KnowledgeApprovalNodeFlowerVo;
import com.redxun.knowledge.entity.vo.KnowledgeApprovalNodeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 文件名: KnowledgeApprovalNodeFlowerMapper
 * 作者: zizg
 * 时间: 2023/5/6
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface KnowledgeApprovalNodeFlowerMapper extends BaseMapper<KnowledgeApprovalNodeFlower> {

    void deleteByPkId(String pkId);

    /**
     * 查询全部节点
     * @return
     */
    List<KnowledgeApprovalNodeFlowerVo> findAllNodes();

    /**
     * pc端查询审核流程
     * @param categoryId
     * @return
     */
    List<KnowledgeApprovalNodeVo> findAllNodesByCategoryId(@Param("categoryId") String categoryId);
}
